Skip to main content
`Ctrl`+`K`

# minversion

astropy.utils.introspection.minversion(module, version, inclusive=True)

  Returns `True` if the specified Python module satisfies a minimum version requirement, and `False` if not.

  Parameters:
    module python:module or `str`

      An imported module of which to check the version, or the name of that module (in which case an import of that module is attempted– if this fails `False` is returned).

    version `str`

      The version as a string that this module must have at a minimum (e.g. `'0.12'`).

    inclusive `bool`

      The specified version meets the requirement inclusively (i.e. `>=`) as opposed to strictly greater than (default: `True`).

  Examples

      >>> import numpy
      >>> minversion(numpy, '1.21.0')
      True